package com.rjconsultores.ventaboletos.relatorios.impl;

import java.sql.Connection;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import com.rjconsultores.ventaboletos.relatorios.utilitarios.Relatorio;
import com.rjconsultores.ventaboletos.vo.comissao.HistoricoComissao;

import net.sf.jasperreports.engine.data.JRBeanCollectionDataSource;

public class RelatorioReciboComissao extends Relatorio {

	@SuppressWarnings("unchecked")
	public RelatorioReciboComissao(Map<String, Object> parametros, Connection conexao) {
		super(parametros, conexao);

		List<HistoricoComissao> lsDadosRelatorio = new ArrayList<HistoricoComissao>();
		List<HistoricoComissao> registrosCalculo = ((List<HistoricoComissao>) parametros.get("recibos"));
		lsDadosRelatorio.addAll(registrosCalculo);
		setLsDadosRelatorio(lsDadosRelatorio);
	}

	public void setLsDadosRelatorio(List<HistoricoComissao> lsDadosRelatorio) {
		this.setCollectionDataSource(new JRBeanCollectionDataSource(lsDadosRelatorio));
	}

	@Override
	protected void processaParametros() throws Exception {
	}

}
